package com.ltdigital.sdk.android.demo.bean

/**
 * @author  Riven
 * @date  2021/10/19 13:54
 * @version 1.0
 */
class SleepReportBean() {

    var beginTime: Long = 0
    var duration: Int = 0
    var deepSleepDuration: Int = 0
    var lightSleepDuration: Int = 0
    var remSleepDuration: Int = 0
    var awakeSleepDuration: Int = 0
    var curveListNum: Int = 0
    var bodyMoveNum: Int = 0
    var sleepCurve = mutableListOf<SleepCurveBean>()
    var heartCurve = mutableListOf<Int>()
    var bodyMoveCurve = mutableListOf<Int>()


    class SleepCurveBean(var type: Int, var duration: Int) {
        override fun toString(): String {
            return "SleepCurveBean(type=$type, duration=$duration)"
        }
    }

    override fun toString(): String {
        return "SleepReportBean(beginTime=$beginTime, duration=$duration, deepSleepDuration=$deepSleepDuration, lightSleepDuration=$lightSleepDuration, remSleepDuration=$remSleepDuration, awakeSleepDuration=$awakeSleepDuration, curveListNum=$curveListNum, bodyMoveNum=$bodyMoveNum, sleepCurve=$sleepCurve, heartCurve=$heartCurve, bodyMoveCurve=$bodyMoveCurve)"
    }
}