package com.ltdigital.sdk.android.demo.bean

/**
 * @author  Riven
 * @date  2021/10/19 15:34
 * @version 1.0
 */
class WorkoutReportBean() {
    var beginTime: Long = 0
    var duration: Int = 0
    var validDuration: Int = 0
    var maxHeart: Int = 0
    var avgHeart: Int = 0
    var calories: Int = 0
    var progressDataCount: Int = 0

    //完成数量（可能是个数，可能是时间）
    var finishCount: Int = 0

    //心率过程数据
    var heartCurve: MutableList<Int>? = null

    //配速过程数据
    var paceCurve: MutableList<Float>? = null

    //频率过程数据
    var freCurve: MutableList<Int>? = null

    //摆动幅度过程数据
    var swipeAngleCurve: MutableList<Int>? = null

    //距离
    var distance: Float? = null

    //平均配速
    var avgPace: Float? = null

    var avgFre: Int? = null

    var maxFre: Int? = null

    var avgSwipeAngle: Int? = null

    var maxSwipeAngle: Int? = null

    override fun toString(): String {
        return "WorkoutReportBean(beginTime=$beginTime, duration=$duration, validDuration=$validDuration, maxHeart=$maxHeart, avgHeart=$avgHeart, calories=$calories, finishCount=$finishCount, heartCurve=$heartCurve, paceCurve=$paceCurve, freCurve=$freCurve, swipeAngleCurve=$swipeAngleCurve)"
    }


}