package com.ltdigital.sdk.android.demo.bluetooth;

import java.util.UUID;

public class BleConstants {

    //service uuid
    public static final UUID DEVICE_S_DATA_SERVICE_UUID = UUID.fromString("0000ff06-0000-1000-8000-00805f9b34fb");
    //采集器文件数据包发送到手机
    public static final UUID DEVICE_S_DATA_NOTIFY_CHARACTERISTIC_UUID = UUID.fromString("0000ff08-0000-1000-8000-00805f9b34fb");
    //手机发送指令到采集器
    public static final UUID DEVICE_S_WRITE_CHARACTERISTIC_UUID = UUID.fromString("0000ff07-0000-1000-8000-00805f9b34fb");


    //service uuid
    public static final UUID DEVICE_DATA_SERVICE_UUID = UUID.fromString("0000ff10-0000-1000-8000-00805f9b34fb");
    //采集器文件数据包发送到手机
    public static final UUID DEVICE_DATA_NOTIFY_CHARACTERISTIC_UUID = UUID.fromString("0000ff11-0000-1000-8000-00805f9b34fb");
    //手机发送指令到采集器
    public static final UUID DEVICE_COMMAND_WRITE_CHARACTERISTIC_UUID = UUID.fromString("0000ff12-0000-1000-8000-00805f9b34fb");
    //手机发送当前状态到采集器
    public static final UUID DEVICE_STATUS_WRITE_CHARACTERISTIC_UUID = UUID.fromString("0000ff13-0000-1000-8000-00805f9b34fb");

    //采集器发送当前状态到手机
    public static final UUID DEVICE_STATUS_NOTIFY_CHARACTERISTIC_UUID = UUID.fromString("0000ff14-0000-1000-8000-00805f9b34fb");
    //采集器发送文件名列表到手机
    public static final UUID DEVICE_FILE_NAME_NOTIFY_CHARACTERISTIC_UUID = UUID.fromString("0000ff15-0000-1000-8000-00805f9b34fb");
    //采集器发送本次CRC32校验码到手机
    public static final UUID DEVICE_CRC32_NOTIFY_CHARACTERISTIC_UUID = UUID.fromString("0000ff16-0000-1000-8000-00805f9b34fb");
    //采集器发送文件内时间戳列表到手机
    public static final UUID DEVICE_FILE_DATETIME_NOTIFY_CHARACTERISTIC_UUID = UUID.fromString("0000ff17-0000-1000-8000-00805f9b34fb");
    //采集器发送实时数据到手机
    public static final UUID DEVICE_REAL_TIME_NOTIFY_CHARACTERISTIC_UUID = UUID.fromString("0000ff18-0000-1000-8000-00805f9b34fb");
    //采集器发送剩余存储容量数据到手机
    public static final UUID DEVICE_STORAGE_INFO_NOTIFY_CHARACTERISTIC_UUID = UUID.fromString("0000ff19-0000-1000-8000-00805f9b34fb");

    //characteristic des uuid
    public static final UUID DES_CLIENT_UUID = UUID.fromString("00002902-0000-1000-8000-00805f9b34fb");
}
