package com.ltdigital.sdk.android.demo.callback

import com.ltdigital.sdk.android.demo.bean.AutoTestResult

/**
 * @author  Riven
 * @date  2021/11/9 16:41
 * @version 1.0
 */
interface TestResultCallback {
    fun onReceivedAutoTestResult(result: AutoTestResult)

    fun onReceivedTouchTestResult(leftPass: Boolean, rightPass: Boolean)

    fun onReceivedChargeTestResult(chargePass: Boolean)

    fun onReceivedHeartTestResult(heartValue: Int?, spo2Value: Int?)

    fun onReceivedTimeout()
}