package com.ltdigital.sdk.android.demo.dialog

import android.app.AlertDialog
import android.content.Context
import android.os.Bundle
import android.widget.DatePicker
import android.widget.TimePicker
import com.ltdigital.sdk.android.demo.R

/**
 * @author  Riven
 * @date  2021/9/23 15:14
 * @version 1.0
 */
class DateTimeDialog(context: Context, val rangeBegin: Long, val rangeEnd: Long) :
    AlertDialog(context), TimePicker.OnTimeChangedListener, DatePicker.OnDateChangedListener {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.dialog_date_time)
        val datePicker = findViewById<DatePicker>(R.id.date_picker)
        val timePicker = findViewById<TimePicker>(R.id.time_picker)
        datePicker.minDate = rangeBegin
        datePicker.maxDate = rangeEnd
//        datePicker.setOnDateChangedListener(this)
//        timePicker.setOnTimeChangedListener(this)
    }

    override fun onTimeChanged(view: TimePicker?, hourOfDay: Int, minute: Int) {
        TODO("Not yet implemented")
    }

    override fun onDateChanged(view: DatePicker?, year: Int, monthOfYear: Int, dayOfMonth: Int) {

    }


}